Package Weight
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/wms/shipping-line/packages/{packageId}/weight \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data 123import requests
url = "https://api.jtl-cloud.com/erp/v2/wms/shipping-line/packages/{packageId}/weight"
payload = 123
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify(123)
};
fetch('https://api.jtl-cloud.com/erp/v2/wms/shipping-line/packages/{packageId}/weight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}WMS
Package Weight
Sets the weight of a package by ID.
POST
/
v2
/
wms
/
shipping-line
/
packages
/
{packageId}
/
weight
Package Weight
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The package ID of the package to set the weight for.
Body
application/json
The package weight to set.
The body is of type number<decimal>.
Response
The package weight that was set.
Was this page helpful?
⌘I